/* .COPYRIGHT:                                                                */
/*    Licensed Material - Program-Property of IBM                             */
/*    (C) Copyright IBM Corp. 1999, 2000 - All Rights Reserved                */
/*                                                                            */
/* .DISCLAIMER:                                                               */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is provided to you solely for use in      */
/*   connection with your internal evaluation of the Service Management       */
/*   Framework(TM) Toolkit (Program) during the term of Early Release license */
/*   for the Program, and for no other purpose.  The code is provided 'AS IS',*/
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */

package com.ibm.osg.sample.pizza;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

/**
 * Pizza servlet class. This class contains the Pizza servlet. This
 * is a standard servlet and has no knowledge of the OSGi API.
 */
public class Pizza extends HttpServlet
{
    protected void doGet(HttpServletRequest req, HttpServletResponse res)
        throws ServletException, IOException
    {
        /* set content type and other response header fields first */
        res.setContentType("text/html; charset=iso-8859-1");

        PrintWriter out = res.getWriter();

        out.print("<html><head><title>Pizza Order Form</title></head>");
        out.print("<body text=\"#000000\" bgcolor=\"#C0C0C0\" link=\"#0000EE\" vlink=\"#551A8B\" alink=\"#FF0000\">");

        String queryString = req.getQueryString();
        if (queryString == null || queryString.equals(""))
        {
            out.print("<center>");
            out.print("<img src=\"");
            out.print(req.getServletPath());
            out.print("/images/pizza.png\" width=217 height=175>");
            out.print("<h1>Welcome to the Pizza Selector</h1><form method=get action=");
            out.print(req.getServletPath());
            out.print("><table border=0><tr><td>Size:</td><td><input type=radio name=size value=small checked>Small</td><td><input type=radio name=size value=medium>Medium</td><td><input type=radio name=size value=large>Large</td></tr><tr><td>Pepperoni</td><td><input type=checkbox name=topping value=Pepperoni></td></tr><tr><td>Mushrooms</td><td><input type=checkbox name=topping value=Mushrooms></td></tr><tr><td>Sausage</td><td><input type=checkbox name=topping value=Sausage></td></tr>");
            out.print("<tr><td>Peppers</td><td><input type=checkbox name=topping value=Peppers></td></tr><tr><td>Onions</td><td><input type=checkbox name=topping value=Onions></td></tr><tr><td>Anchovies</td><td><input type=checkbox name=topping value=Anchovies></td></tr><tr><td colspan=4 align=center><input type=submit value=\"Place Order\"></td></tr></table></form>");
            out.print("</center>");
        }
        else
        {
            out.println("<h1>Pizza Ordering Servlet</h1>");

            /* calculate price here */
            int price = 0;
            int extra = 0;
            int count = 0;

            String size = req.getParameter("size");

            switch (size.charAt(0))
            {
               case 's':
                  price = 395;
                  extra = 37;
                  break;

               case 'm':
                  price = 595;
                  extra = 76;
                  break;

               case 'l':
                  price = 895;
                  extra = 134;
                  break;
            }

            String[] toppings = req.getParameterValues("topping");

            if (toppings != null)
            {
               count = toppings.length;

               out.println("Your pizza has the following toppings: <BR>");

               for (int i=0; i < count; i++)
                   out.println(toppings[i] + "<BR>");
            }

            price += count * extra;

            out.print("<BR>The price of your ");
            out.println(size);
            out.print(" pizza is: $");
            int dollars = price/100;
            out.print(dollars);
            out.print('.');
            int cents = price%100;
            if (cents < 10)
            {
                out.print("0");
            }
            out.print(cents);
            out.print("<BR><A href=\"");
            out.print(req.getServletPath());
            out.print("\">Order another Pizza</a>");
        }

        out.println("</body></html>");
    }
}

