/*
 * IBM Confidential
 *
 * OCO Source Materials
 *
 * 0000-000
 *
 * (C) Copyright IBM Corp. 2002.
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U. S. Copyright Office.
 */


package com.ibm.osg.sample.simpledriverlocator;
import java.util.*;
/**
 * The PropertyValuePair class is responsible for maintaining
 * a mapping between property names, property values, and
 * driver IDs.  There is a set of DriverIDs assiciated with 
 * each property value pair,
 */


public class PropertyValuePair {
	
	protected String propertyName;
	protected String propertyValue;
	protected Vector driverIds;

	public PropertyValuePair(String propertyName,String propertyValue)
	{
		this.propertyName = propertyName;
		this.propertyValue = propertyValue;
		if(propertyValue == null)
		{
		  throw new RuntimeException();
		}
		driverIds = new Vector(5);
	}
	
	protected void addDriverID(String driverID)
	{
	    driverIds.add(driverID);
	}
	
	
	/**
	 * equals(Object object) is over written to allow different
	 * objects with the same propertyName and propertyValues to
	 * be equal.  (This is useful when trying to find if a given 
	 * property/value pair (passed in by 
	 * DriverLocator.findDrivers(Dictionary props) is a property 
	 * that can be matched to driverIDs. 
	 */
	public boolean equals(Object object)
	{
		if(object instanceof PropertyValuePair)
		{
			PropertyValuePair pair = (PropertyValuePair)object;
			if(pair.propertyName.equals(propertyName) && pair.propertyValue.equals(propertyValue))
			{
				return (true);
			}
		}
		return(false);
	}
}

