/* .COPYRIGHT:                                                                */
/*    Licensed Material - Program-Property of IBM                             */
/*    (C) Copyright IBM Corp. 2002 - All Rights Reserved                      */
/*                                                                            */
/* .DISCLAIMER:                                                               */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is provided to you solely for use in      */
/*   connection with your internal evaluation of the Service Management       */
/*   Framework(TM) Toolkit (Program) during the term of Early Release license */
/*   for the Program, and for no other purpose.  The code is provided 'AS IS',*/
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
package com.ibm.pvc.example.calendar;

/**
 * This is the NoCurrentViewAvailableException class.
 * 
 * Some actions, such as context sensitive help, are specific to the current
 * view.  This exception is thrown when such as action has been requested and 
 * there is no current view available.
 */
public class NoCurrentViewAvailableException extends CalendarServletException {

	/**
	 * @see java.lang.Object#Object()
	 */
	public NoCurrentViewAvailableException() {
		super();
	}

	/**
	 * @see java.lang.Throwable#Throwable(String)
	 */
	public NoCurrentViewAvailableException(String s) {
		super(s);
	}
}