/* .COPYRIGHT:                                                                */
/*    Licensed Material - Program-Property of IBM                             */
/*    (C) Copyright IBM Corp. 2002 - All Rights Reserved                      */
/*                                                                            */
/* .DISCLAIMER:                                                               */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is provided to you solely for use in      */
/*   connection with your internal evaluation of the Service Management       */
/*   Framework(TM) Toolkit (Program) during the term of Early Release license */
/*   for the Program, and for no other purpose.  The code is provided 'AS IS',*/
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
package com.ibm.pvc.example.calendar.view;

/**
 * This is the Resources_en_US class.
 * 
 * This class is used to contain the "en_US" translated text for the Calendar Servlet.
 * 
 */
public class Resources_en_US extends Resources {
	static final Object[][] contents = {
		// Categories
		{ Resources.CAT_APPOINTMENT      , "Appointment"},
		{ Resources.CAT_BUSINESS         , "Business"},
		{ Resources.CAT_EDUCATION        , "Education"},
		{ Resources.CAT_HOLIDAY          , "Holiday"},
		{ Resources.CAT_MEETING          , "Meeting"},
		{ Resources.CAT_MISCELLANEOUS    , "Miscellaneous"},
		{ Resources.CAT_PERSONAL         , "Personal"},
		{ Resources.CAT_PHONE_CALL       , "PhoneCall"},
		{ Resources.CAT_SICK_DAY         , "Sick Day"},	
		{ Resources.CAT_SPECIAL_OCCASION , "Special Occasion"},
		{ Resources.CAT_TRAVEL           , "Travel"},
		{ Resources.CAT_VACATION         , "Vacation"},
		{ Resources.CAT_OTHER            , "Other"},

		// Error Messages
		{ Resources.ERR_INVALID_ACTION   , "Invalid action: \"{0}\" passed to Servlet"},

		// View Strings
		{ Resources.HEAD_WEEK_VIEW       , "Week of {0}"},	
		{ Resources.HEAD_NEW_EVENT       , "New Event"},	
		{ Resources.HEAD_UPDATE_EVENT    , "Update Event"},	
		{ Resources.HEAD_DEL_EVENT       , "Delete Event"},	
		{ Resources.HEAD_SETTINGS        , "Calendar Settings"},			
		{ Resources.HEAD_ERROR           , "Error Encountered"},
		{ Resources.HEAD_HELP            , "Calendar Help"},
		{ Resources.HEAD_OPEN_CAL        , "Open Calendar Window"},				
		
		// Field Title Strings
		{ Resources.FLD_SUMMARY          , "Summary:"},
		{ Resources.FLD_TYPE             , "Type:"},
		{ Resources.FLD_DATE             , "Date:"},
		{ Resources.FLD_ALL_DAY          , "All Day Event"},		
		{ Resources.FLD_START_TIME       , "Start Time:"},
		{ Resources.FLD_DURATION         , "Duration:"},
		{ Resources.FLD_DETAILS          , "Details:"},	
		
		{ Resources.FLD_SHOW_GRID        , "Show Time Grid In Day View?"},		
		{ Resources.FLD_END_TIME         , "End Time:"},	
		{ Resources.FLD_DEFAULT_VIEW     , "Default View:"},		
		{ Resources.FLD_BGCOLOR          , "Background Color For Titles:"},
		{ Resources.FLD_FGCOLOR          , "Foreground Color For Titles:"},
		{ Resources.FLD_OVERFLOW_SUP     , "Overflow Supported?"},											

		// Field Value Constants Strings
		{ Resources.VAL_DUR_ALL_DAY      , "All day event"},
		
		// Action Text { for buttons or icon hover help } Strings
		{ Resources.ACTION_DAY_VIEW      , "Daily View"},
		{ Resources.ACTION_WEEK_VIEW     , "Weekly View"},
		{ Resources.ACTION_MONTH_VIEW    , "Monthly View"},	
		{ Resources.ACTION_TODAY         , "Today"},
		{ Resources.ACTION_NEW_EVENT     , "New Event"},
		{ Resources.ACTION_SETTINGS      , "Settings"},
		{ Resources.ACTION_HELP          , "Help"},	
		
		{ Resources.ACTION_P_DAY         , "Previous Day"},
		{ Resources.ACTION_N_DAY         , "Next Day"},		
		{ Resources.ACTION_P_WEEK        , "Previous Week"},
		{ Resources.ACTION_N_WEEK        , "Next Week"},					
		{ Resources.ACTION_P_MONTH       , "Previous Month"},
		{ Resources.ACTION_N_MONTH       , "Next Month"},					
	
		{ Resources.ACTION_ADD_EVENT     , "Add Event"},
		{ Resources.ACTION_MOD_EVENT     , "Update Event"},					
		
		{ Resources.ACTION_GO            , "Go!"},
		{ Resources.ACTION_CANCEL        , "Cancel"},
		{ Resources.ACTION_OK            , "OK"},
		{ Resources.ACTION_DELETE        , "Delete"},
		{ Resources.ACTION_CLOSE         , "Close"},		

		{ Resources.ACTION_YES           , "Yes"},
		{ Resources.ACTION_NO            , "No"},	
		
		{ Resources.ACTION_TOC           , "Table of Contents"},
		{ Resources.ACTION_BACK          , "Back"},	
		{ Resources.ACTION_FORWARD       , "Forward"},			

		{ Resources.TEXT_MINUTES         , "Minutes"},			
		{ Resources.TEXT_PERM_DEL        , "The event will be permanently deleted."},
		{ Resources.TEXT_DEL_CONFIRM     , "Do you really want to delete this event?"},	
		
		{ Resources.TEXT_NO_SUMMARY      , "No summary"}						
	};

	/**
	 * @see java.lang.Object#Object()
	 */
	public Resources_en_US() {
		super();
	}
	/**
	 * @see java.util.ListResourceBundle#getContents()
	 */
	protected java.lang.Object[][] getContents() {
		return contents;
	}			
}